/* 
officiel 17/10/17
ecrit pour la wilulu  www.arpschuino.fr/wilulu.php
gradation pwm sur un canal
fonctionne avec "emeteur_arpschuino_officiel" ou "emeteur_JLink_bridge_arp" comme emmeteur
adresse = adreesse de l'emeteur + valeur définie par l'encodeur rotatif
En l'absence de signal, la led reste allumé, elle clignote lorsqu'elle recoit

official 17/10/17
Written for the wilulu  www.arpschuino.fr/wilulu_e.php
one channel dimmer
work with "emeteur_arpschuino_officiel" or "emeteur_JLink_bridge_arp" as emiter
address = emiter address + value set by the rotary encoder
If there is no signal, the LED remains lit, flashes when it is received

*/
#include <RF12.h>//arpschuino

const byte led_temoin=0;//arpsensorsRF 0
boolean led =0;

const byte outPin  =3;

const byte dip[4]={10,9,8,7};//
char identifiant=0;

//////////////////////////////////
unsigned long previousMillis = 0;
const long interval = 1000; 



void setup() {

    pinMode(led_temoin,OUTPUT);
    digitalWrite(led_temoin, HIGH);//led allumée en l'abscence de signal

    for (int i =0;i<4;i++)
    {
      pinMode(dip[i],INPUT);
      digitalWrite(dip[i],HIGH);
    }

    pinMode (outPin , OUTPUT);

    delay (1200);
    rf12_initialize(3, RF12_868MHZ, 212);

  for(int i=0;i<4;i++)
  {
     if(!digitalRead(dip[i]))
     {
      identifiant += 1<<(i);
     }
  }
  //a commenter pour les 16 premiere adresses :    
  //identifiant+=16; //plus 16
}

void loop() {

      if (rf12_recvDone() && rf12_crc == 0) {
        if(led == 0)
        {
          digitalWrite  (led_temoin,  LOW); 
          led = 1;
        }
        else
        {
          digitalWrite  (led_temoin,  HIGH);
          led = 0;
        }

        analogWrite (outPin , rf12_data[identifiant]);
     }
     else
     {
        unsigned long currentMillis = millis();
       
        if(currentMillis - previousMillis >= interval) {
          // une seconde sans reception
          previousMillis = currentMillis;   

          digitalWrite(led_temoin,  HIGH);      
         }
     }
}
